Jump to content
LaptopVideo2Go Forums

nVidia GeForce4 420 Go


cscocy

Recommended Posts

I'm using Toshiba Satellite Pro M10 with graphic nVidia GeForce4 420 Go

I've read through snowl quick start guide and has a few question.

First in the guide it is said that

GeForce 4xxx cards - 60 and up

so does this means that i can use the series 80 version or can i only use the latest version for the 60 series (version 62.51)

another question is i can't find any driver download of modded inf link at the v62.51 thread.

if so where can i get the driver and modded inf??

i'm trying to upgrade my graphics because i get an error Failed creating the Direct3D device when i tried to play Onimusha 3.

I figure that would be the problem of the graphic card. Pls correct me if i'm wrong.

And is there any recommendation for the INF series to download??

thnx

Link to comment
Share on other sites

I would recommend the 77.77 driver with Pieter's mod INF. (or if you want something really new try 84.25)

http://www.laptopvideo2go.com/index.php?dr...=1&type=1&dir=1

If you experience the black bar issue with your screen, get a fixed INF from here.

http://www.laptopvideo2go.com/enhancer

The game you have probably doesn't run on older drivers. (but you are at the right place now :) )

Certain 8x series drivers should run fine on those, but I know for a fact the 77 series was very good on GF4 gos of the NV17 variety.

8x drivers run fine on my quadro, but it is a much newer NV28.

Sooner or later nvidia might drop support for your card in newer 8x or 9x drivers, but that hasn't happened just yet.

Link to comment
Share on other sites

i've click on 77.77 but all i get on the new tab is

http://www.laptopvideo2go.com/index.php?dr...=1&type=1&dir=1 165.21.154.8 /nvidia/75series/7777.exe www.laptopvideo2go.com Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.2) Gecko/20060308 Firefox/1.5.0.2 404

without any prompt for saving the file (i'm using firefox 1.5.0.2)

the same goes for IE 6.02

at the thread of 77.77, i could only find

Pieter's mobile INF modified for v77.13

Pieter's mobile INF modified for v77.13 XP64bit

Pieter's mobile INF modified for v77.18

can't find any modified INF by Pieter for v77.77

I would recommend the 77.77 driver with Pieter's mod INF. (or if you want something really new try 84.25)

http://www.laptopvideo2go.com/index.php?dr...=1&type=1&dir=1

If you experience the black bar issue with your screen, get a fixed INF from here.

http://www.laptopvideo2go.com/enhancer

The game you have probably doesn't run on older drivers. (but you are at the right place now :) )

Certain 8x series drivers should run fine on those, but I know for a fact the 77 series was very good on GF4 gos of the NV17 variety.

8x drivers run fine on my quadro, but it is a much newer NV28.

Sooner or later nvidia might drop support for your card in newer 8x or 9x drivers, but that hasn't happened just yet.

Link to comment
Share on other sites

There seems to be a temporary problem with redirection of URLs.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...